Page MenuHomePhabricator

Turn off 'classic' ORES highlighting on the RC page
Closed, ResolvedPublic

Description

When we implement the RC filters, we need to turn off the automatic ORES highlighting that existed before, so it doesn't conflict with the new user-defined highlighting on this page. (ORES highlighting will continue to be an option on the Watchlist and Contributions page for now. That's covered by a new preference.)

Event Timeline

Catrope removed Mattflaschen-WMF as the assignee of this task.Mar 3 2017, 11:01 PM
jmatazzoni reopened this task as Open.Apr 3 2017, 8:50 PM
jmatazzoni updated the task description. (Show Details)
jmatazzoni added a subscriber: Etonkovidova.

@SBisson said that this was done, but I am seeing Classic ORES shading on pl.wiki today. See screenshot below. This needs to be turned off, or highlighting doesn't make any sense.

UPDATE: When I saw this ( Mac with Chrome) the option to "Highlight the watchlist..." using ORES was checked. I unchecked it, saved, then rechecked it, saved-- and now I can't see the highlighting any more. @Etonkovidova, can you please check this?

jmatazzoni triaged this task as High priority.EditedApr 3 2017, 9:02 PM

UPDATE #2: I just checked on pt.wiki, and Classic ORES shading is on. See screenshot below. The sequence was the same as above: I saw the shading, went to check my prefs (where the ORES shading option was checked), and when I came back, I had no shading this time.

@jmatazzoni - So, every time you log in to ptwiki, you see ORES highlighting on RC page?

@jmatazzoni - So, every time you log in to ptwiki, you see ORES highlighting on RC page?

On my side, "Highlight probably damaging edits on Watchlist and Contributions (using ORES)" is checked and I don't see the highlighting.

@jmatazzoni Can you reproduce this problem or did it happen on your first visit to both wikis and that's it?

I don't see this locally or on pt/pl. There's code in place to prevent this.

Next time you see it, run these two commands in the javascript console and share the output.

mw.loader.getState('ext.ores.highlighter');
$('.damaging.ores-highlight').length;
jmatazzoni closed this task as Resolved.Apr 18 2017, 1:00 AM